View Issue Details

IDProjectCategoryView StatusLast Update
0003355GNUnetpeerinfo servicepublic2014-04-08 16:41
ReporterMatthias WachsAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003355: "WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m"
DescriptionRunning rev 32827 on gnunet9 for 3 days:

A lot of:

Mar 31 08:38:26-401621 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:41:47-203113 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:44:33-131716 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:45:53-057793 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:47:18-506898 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:48:18-507294 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 2 m
Mar 31 08:53:26-759351 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 1 m
Mar 31 08:54:26-761254 util-25074 WARNING Processing code for message of type 331 did not call `GNUNET_SERVER_receive_done' after 2 m


Additional Information/**
 * Request update and listing of all peers.
 */
#define GNUNET_MESSAGE_TYPE_PEERINFO_GET_ALL 331
TagsNo tags attached.

Activities

Christian Grothoff

2014-04-04 16:56

manager   ~0008186

Fixed in SVN 32894 by disabling the warning, it is clear from the logic of the code that this could simply take quite a while if the peerinfo DB is sufficiently large.

Issue History

Date Modified Username Field Change
2014-03-31 09:35 Matthias Wachs New Issue
2014-04-04 16:56 Christian Grothoff Note Added: 0008186
2014-04-04 16:56 Christian Grothoff Status new => resolved
2014-04-04 16:56 Christian Grothoff Fixed in Version => 0.10.1
2014-04-04 16:56 Christian Grothoff Resolution open => fixed
2014-04-04 16:56 Christian Grothoff Assigned To => Christian Grothoff
2014-04-04 16:57 Christian Grothoff Product Version => SVN HEAD
2014-04-04 16:57 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed